var fs = require('fs-extra');
var unixify = require('unixify');
const replaceInFiles = require('replace-in-files');

const basePath = __dirname.replace("scripts", "");
const buildPath = basePath + 'build';
const ghPagesPath = basePath + 'gh-pages';

let replaceOptions = {
  // See more: https://www.npmjs.com/package/globby
  // Single file or glob
  files: 'REPLACE!!',

  // See more: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/replace
  // Replacement
  from: /OECD-SWAC-PATH/g,  // string or regex
  to: 'REPLACE!!', // string or fn  (fn: carrying last argument - path to replaced file)


  // See more: https://www.npmjs.com/package/glob
  optionsForFiles: { // default
    "ignore": [
      "**/node_modules/**"
    ]
  },
  // format: `${fileName}-${year}-${month}-${day}_${hour}:${minute}:${second}.{fileExtension}`
  //            fileName-2017-11-01_21:29:55.js
  // date of createFile old file or last modificate (if not find create date)
  saveOldFile: false, // default
  //Character encoding for reading/writing files
  encoding: 'utf8',  // default
  shouldSkipBinaryFiles: true, // default
  onlyFindPathsWithoutReplace: false, // default
  returnPaths: true, // default
  returnCountOfMatchesByPaths: true // default
};


//Clone the build
fs.copy(basePath + 'build', basePath + 'gh-pages')
  .then(async () => {
    console.log('Copied!', basePath + 'build -> ' + basePath + 'gh-pages');

    //Replace main build
    replaceOptions.to = ".";
    replaceOptions.files = [
      unixify( buildPath + "/*"),
      unixify(buildPath + "/**/*"),
    ];
    await replaceInFiles(replaceOptions)
      .then(({countOfMatchesByPaths}) => {
        console.log('Modified files BUILD: ' + replaceOptions.files, countOfMatchesByPaths);
      })
      .catch(error => {
        console.error('Error occurred:', error);
      });

    //Replace gh-pages build
    replaceOptions.to = "oecd-swac";
    replaceOptions.files = [
      unixify(ghPagesPath + "/*"),
      unixify(ghPagesPath + "/**/*"),
    ];
    await replaceInFiles(replaceOptions)
      .then(({countOfMatchesByPaths}) => {
        console.log('Modified files GH-PAGES: ' + replaceOptions.files, countOfMatchesByPaths);
      })
      .catch(error => {
        console.error('Error occurred:', error);
      });

  })
  .catch(err => {
    console.error(err)
  })
