import React, { useEffect, useState } from "react";
import Button from "@mui/material/Button";
import moment from "moment";
import PlayArrowIcon from "@mui/icons-material/PlayArrow";
import PauseIcon from "@mui/icons-material/Pause";

export default function PlayButtonBorder({
  play,
  year,
  setDate,
  setPlay,
  setAccumulatedEvents,
  setShownDate,
  shownDate,
  setFloatingDateOpacity
}) {
  const [endDate, setEndDate] = useState("");
  const [startDate, setStartDate] = useState("");
  const [intervalId, setIntervalId] = useState(0);
  //console.log(setFloatingDateOpacity)
  useEffect(()=>{
    let day;
    if (play && startDate!=='' && (shownDate === year || moment(shownDate, "YYYY/MM").isSame(endDate))) {
      setAccumulatedEvents([
        "any",
        ["in", startDate.format("YYYY/MM"), ["get", "event_date"]],
      ]);
      day = moment(startDate, "YYYY/MM/DD");
      setShownDate(`${moment(startDate, "YYYY/MM").format("YYYY/MM")}`);
      setFloatingDateOpacity(1)
    } else day = moment(shownDate, "YYYY/MM/DD");

    const newIntervalId = setInterval(() => {
      if (play) {
        if (moment(day, "YYYY/MM").isSame(endDate)) {
          clearInterval(newIntervalId);
          setIntervalId(0);
          setPlay(false);
          setFloatingDateOpacity(0)
          return;
        }
        day = moment(day, "YYYY/MM/DD").add(1, "months");
        return (          setDate(day.format("YYYY/MM/DD")),
          setAccumulatedEvents((oldArray) => {
            return [
              ...oldArray,
              ["in", day.format("YYYY/MM"), ["get", "event_date"]],
            ];
          }),
          setShownDate(`${day.format("YYYY/MM")}`)
        );
      }
    }, 1000);
    setIntervalId(newIntervalId);
    return () => clearInterval(newIntervalId)
  },[play])

  useEffect(() => {
    return (
      setEndDate(moment(`${year}-12-01`, "YYYY/MM/DD")),
      setDate(moment(`${year}-01`, "YYYY/MM")),
      setStartDate(moment(`${year}-01-01`, "YYYY/MM/DD"))
    );
  }, [year]);

  return (
    <Button
      variant="text"
      onClick={() => setPlay(!play)}
      aria-label="Play"
      style={{ width: "max-content", minWidth: "unset !important" }}
      className="remove-from-download"
    >
      {play ? <PauseIcon /> : <PlayArrowIcon />}
    </Button>
  );
}
